Bug 700657 - (CVE-2011-0066) CVE-2011-0066 Mozilla mObserverList use after free (MFSA 2011-13)
CVE-2011-0066 Mozilla mObserverList use after free (MFSA 2011-13)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
public=20110428,reported=20110428,sou...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-28 17:53 EDT by Josh Bressers
Modified: 2016-03-04 07:30 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-12 12:22:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2011-04-28 17:53:22 EDT
A use after free flaw was found in Firefox's mObserverList object.
Malicious content could use this flaw to execute arbitrary code with
permissions of the user running Firefox.
Comment 1 Vincent Danen 2011-04-28 19:59:00 EDT
This is now public:

http://www.mozilla.org/security/announce/2011/mfsa2011-13.html
Comment 2 errata-xmlrpc 2011-04-28 23:21:21 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 4

Via RHSA-2011:0471 https://rhn.redhat.com/errata/RHSA-2011-0471.html

Note You need to log in before you can comment on or make changes to this bug.